# class EimXML::Comment

### Public Class Methods

new(text) click to toggle source

    # File lib/eim_xml.rb, line 50
    def initialize(text)
            raise ArgumentError, "Can not include '--'" if text =~ /--/
            @text = text
    end

### Public Instance Methods

write_to(out="") click to toggle source

    # File lib/eim_xml.rb, line 55
    def write_to(out="")
            out << "<!-- #{@text} -->"
    end